Bug 171114 - [MAINTAINER] www/py-requests: update to 0.13.9
Summary: [MAINTAINER] www/py-requests: update to 0.13.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-27 12:50 UTC by koobs
Modified: 2012-08-27 13:50 UTC (History)
0 users

See Also:


Attachments
py27-requests-0.13.9.patch (2.14 KB, patch)
2012-08-27 12:50 UTC, koobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2012-08-27 12:50:01 UTC
- Update to 0.13.9
- Patch setup.py to hook in test suite
- Add test: target for running unit tests

Changes: https://github.com/kennethreitz/requests/blob/v0.13.9/HISTORY.rst

- 0.13.9 (2012-08-25)

    Fix for OAuth + POSTs
    Remove exception eating from dispatch_hook.
    General bugfixes

- 0.13.8 (2012-08-21)

    Incredible Link header support :)

==[QA]==

port test clean: looks fine.
redports clean:	https://redports.org/buildarchive/20120827112631-90873/
unit test clean: Ran 102 tests in 213.949s - OK

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-08-27 12:50:48 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-08-27 12:50:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2012-08-27 12:50:53 UTC
Maintainer of www/py-requests,

Please note that PR ports/171114 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171114

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Edwin Groothuis freebsd_committer 2012-08-27 12:50:55 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 5 Wen Heping freebsd_committer 2012-08-27 13:08:49 UTC
Responsible Changed
From-To: freebsd-python->wen

I'll take it.
Comment 6 dfilter service freebsd_committer 2012-08-27 13:41:13 UTC
Author: wen
Date: Mon Aug 27 12:40:41 2012
New Revision: 303224
URL: http://svn.freebsd.org/changeset/ports/303224

Log:
  - Update to 0.13.9
  - Patch setup.py to hook in test suite
  - Add test: target for running unit tests
  
  PR:		171114
  Submitted by:	Kubilay Kocak <koobs.freebsd@gmail.com> (maintainer)

Modified:
  head/www/py-requests/Makefile
  head/www/py-requests/distinfo
  head/www/py-requests/files/patch-setup.py

Modified: head/www/py-requests/Makefile
==============================================================================
--- head/www/py-requests/Makefile	Mon Aug 27 12:17:33 2012	(r303223)
+++ head/www/py-requests/Makefile	Mon Aug 27 12:40:41 2012	(r303224)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	requests
-PORTVERSION=	0.13.7
+PORTVERSION=	0.13.9
 CATEGORIES=	www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -22,4 +22,8 @@ RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}cert
 USE_PYTHON=	-3.1
 USE_PYDISTUTILS=	easy_install
 
+test: build
+	${TOUCH} ${WRKSRC}/tests/__init__.py
+	cd ${WRKSRC} && ${PYTHON_CMD} ${PYSETUP} test
+
 .include <bsd.port.mk>

Modified: head/www/py-requests/distinfo
==============================================================================
--- head/www/py-requests/distinfo	Mon Aug 27 12:17:33 2012	(r303223)
+++ head/www/py-requests/distinfo	Mon Aug 27 12:40:41 2012	(r303224)
@@ -1,2 +1,2 @@
-SHA256 (requests-0.13.7.tar.gz) = d9c6cf2890a0dc1200407f99130d334ef5ab5270bed3d9b4c14b0bb9c6cc3400
-SIZE (requests-0.13.7.tar.gz) = 521660
+SHA256 (requests-0.13.9.tar.gz) = d887bb1c06948a8930d6e73a1f942f9febe9157a299a984994c20c84b2c21e20
+SIZE (requests-0.13.9.tar.gz) = 522477

Modified: head/www/py-requests/files/patch-setup.py
==============================================================================
--- head/www/py-requests/files/patch-setup.py	Mon Aug 27 12:17:33 2012	(r303223)
+++ head/www/py-requests/files/patch-setup.py	Mon Aug 27 12:40:41 2012	(r303224)
@@ -1,5 +1,5 @@
---- ./setup.py.orig	2012-07-27 17:22:56.000000000 +1000
-+++ ./setup.py	2012-07-28 10:46:43.000000000 +1000
+--- setup.py.orig	2012-08-06 14:46:03.000000000 +0800
++++ setup.py	2012-08-27 20:18:56.000000000 +0800
 @@ -15,8 +15,6 @@
      os.system('python setup.py sdist upload')
      sys.exit()
@@ -29,9 +29,10 @@
      install_requires=requires,
      license=open('LICENSE').read(),
      classifiers=(
-@@ -66,4 +60,5 @@
+@@ -66,4 +60,6 @@
          'Programming Language :: Python :: 3.0',
          'Programming Language :: Python :: 3.1',
      ),
 +    zip_safe=False,
++    test_suite='tests',
  )
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Wen Heping freebsd_committer 2012-08-27 13:44:13 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!